Test Sftp Connection
curl --request POST \
--url https://flows.super.ai/api/integrations/sftp/test-connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"host": "<string>",
"username": "<string>",
"password": "<string>",
"port": 22,
"private_key_data": "<string>",
"private_key_passphrase": "<string>",
"test_path": "/"
}
'import requests
url = "https://flows.super.ai/api/integrations/sftp/test-connection"
payload = {
"host": "<string>",
"username": "<string>",
"password": "<string>",
"port": 22,
"private_key_data": "<string>",
"private_key_passphrase": "<string>",
"test_path": "/"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
host: '<string>',
username: '<string>',
password: '<string>',
port: 22,
private_key_data: '<string>',
private_key_passphrase: '<string>',
test_path: '/'
})
};
fetch('https://flows.super.ai/api/integrations/sftp/test-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}integrations
Test Sftp Connection
Test SFTP connection by attempting to connect and write a test file.
POST
/
api
/
integrations
/
sftp
/
test-connection
Test Sftp Connection
Authorizations
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Body
application/json
Request model for testing SFTP connection.
Authentication type: password or key_file
Available options:
api_key, oauth2, user_password, key_file, client_credentials, sharepoint_receive, google_drive_receive SFTP server hostname or IP address
Username for SFTP authentication
Password for SFTP authentication (required for password auth)
SFTP server port
Private key content for SFTP authentication (required for key_file auth)
Passphrase for encrypted private key (optional)
Directory path to test write access
Response
Successful Response
⌘I